package com.cnbm.basic.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cnbm.basic.dto.ProductTypeDTO;
import com.cnbm.common.dao.BaseDao;
import com.cnbm.basic.entity.ProductType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 产品类型 表
 *
 * @author why
 * @since 2022-06-30
 */
@Mapper
public interface ProductTypeMapper extends BaseDao<ProductType> {
    IPage<ProductTypeDTO> page(Page<Object> objectPage, @Param("param") Map<String, Object> params);
}